Package org.kapott.cryptalgs

# Class RIPEMD160

java.lang.Object
java.security.MessageDigestSpi
org.kapott.cryptalgs.RIPEMD160

public final class RIPEMD160 extends MessageDigestSpi

## Constructor Summary

Constructors
Constructor
Description
`RIPEMD160()`

## Method Summary

Modifier and Type
Method
Description
`protected byte[]`
`engineDigest()`
`protected int`
`engineDigest(byte[] buf, int offset, int len)`
`protected int`
`engineGetDigestLength()`
`protected void`
`engineReset()`
`protected void`
`engineUpdate(byte input)`
`protected void`
`engineUpdate(byte[] input, int offset, int len)`

### Methods inherited from class java.security.MessageDigestSpi

`clone, engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RIPEMD160

public RIPEMD160()

## Method Details

### engineDigest

protected byte[] engineDigest()

Specified by:
  `engineDigest` in class `MessageDigestSpi`

### engineDigest

protected int engineDigest(byte[] buf, int offset, int len) throws DigestException

Overrides:
  `engineDigest` in class `MessageDigestSpi`
Throws:
  `DigestException`

### engineGetDigestLength

protected int engineGetDigestLength()

Overrides:
  `engineGetDigestLength` in class `MessageDigestSpi`

### engineReset

protected void engineReset()

Specified by:
  `engineReset` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte input)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte[] input, int offset, int len)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`